#include <iostream>
#include <vigra/impex.hxx>

int main(int argc, char** argv)
{
    // read image given as first command-line argument
    vigra::ImageImportInfo imageInfo(argv[1]);
    // print some information:
    std::cout << "Image information:\n";
    std::cout << "  file format: " << imageInfo.getFileType() << std::endl;
    std::cout << "  width:       " << imageInfo.width() << std::endl;
    std::cout << "  height:      " << imageInfo.height() << std::endl;
    std::cout << "  pixel type:  " << imageInfo.getPixelType() << std::endl;
    std::cout << "  color image: ";
    if (imageInfo.isColor())    std::cout << "yes (";
    else                        std::cout << "no  (";
    std::cout << "number of channels: " << imageInfo.numBands() << ")\n";

    return 0;
}